Subject: Re: [PATCH net-next] net: remove unnecessary return's

From: Dave Jones <[email-masked]>
Date: Thu, 13 Feb 2014 17:00:21 -0500

On Thu, Feb 13, 2014 at 10:55:23PM +0100, Julia Lawall wrote:

 > The patch below converts label: return; } to label: ; }.  I have only 
 > scanned through the patches, not patched the code and looked at the 
 > results, so I am not sure that it is completely correct.  On the other 
 > hand, I'm also not sure that label: ; } is better than label: return; }, 
 > either.  If people think it is, then I can cheack the results in more 
 > detail.

Why not delete the label, and just replace the goto with a return if
the label is at the end of the function ?

	Dave